Package com.pixelmed.dicom

# Class StoredFilePathStrategyComponentFolders

java.lang.Object
com.pixelmed.dicom.StoredFilePathStrategy
com.pixelmed.dicom.StoredFilePathStrategyComponentFolders

public class StoredFilePathStrategyComponentFolders extends StoredFilePathStrategy

Store files in a hierarchy of folders using successive numeric components of the SOP Instance UID as the folder name and the SOP Instance UID as the filename within the most deeply nested folder.

This is not a good strategy, since there may still be too many files within folders, since UID roots have significant commonality.

## Field Summary

### Fields inherited from class com.pixelmed.dicom.StoredFilePathStrategy

`BYSOPINSTANCEUIDCOMPONENTFOLDERS, BYSOPINSTANCEUIDHASHSUBFOLDERS, BYSOPINSTANCEUIDINSINGLEFOLDER, defaultAlternativeSubfolder`

## Constructor Summary

Constructors
Constructor
Description
`StoredFilePathStrategyComponentFolders()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Perform self test.
`String`
`makeStoredFilePath(String sopInstanceUID)`
Generate a path to where to store a file based on its SOP Instance UID.
`String`
`toString()`

### Methods inherited from class com.pixelmed.dicom.StoredFilePathStrategy

`getDefaultStrategy, makeAlternativeStoredFilePath, makeReliableStoredFilePathWithFoldersCreated, makeReliableStoredFilePathWithFoldersCreated, makeStoredFilePath, setDebugLevel, test`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoredFilePathStrategyComponentFolders

public StoredFilePathStrategyComponentFolders()

## Method Details

### makeStoredFilePath

public String makeStoredFilePath(String sopInstanceUID)
Description copied from class: `StoredFilePathStrategy`

Generate a path to where to store a file based on its SOP Instance UID.

Overrides:
  `makeStoredFilePath` in class `StoredFilePathStrategy`
Parameters:
  `sopInstanceUID` - the SOP Instance UID of the instance to be saved
Returns:
  the path to the file, which may contain nested sub-folders

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)

Perform self test. If arguments are given, then use then as test UIDs. If no arguments, then use internal test UIDs.